org.apache.fontbox.cff

## Class CFFOperator

- java.lang.Object
- - org.apache.fontbox.cff.CFFOperator

    public final class CFFOperator
    extends Object

This class represents a CFF operator.

Author:
  Villu Ruusmann

### Nested Class Summary

Nested Classes
`static class` `CFFOperator.Key` This class is a holder for a key value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`CFFOperator.Key` `getKey()` The key of the operator.
`String` `getName()` The name of the operator.
`static CFFOperator` `getOperator(CFFOperator.Key key)` Returns the operator corresponding to the given key.
`static CFFOperator` `getOperator(String name)` Returns the operator corresponding to the given name.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getKey

    public CFFOperator.Key getKey()

The key of the operator.

Returns:
  the key

#### getName

    public String getName()

The name of the operator.

Returns:
  the name

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### getOperator

    public static CFFOperator getOperator(CFFOperator.Key key)

Returns the operator corresponding to the given key.

Parameters:
  `key` - the given key
Returns:
  the corresponding operator

#### getOperator

    public static CFFOperator getOperator(String name)

Returns the operator corresponding to the given name.

Parameters:
  `name` - the given name
Returns:
  the corresponding operator